#include <iostream>
#include <map>

int main () {
    std::ios_base::sync_with_stdio(false);
    std::cin.tie(0);

    int n; std::cin>>n;
    int c1[n], c2[n];
    for(int i = 0; i < n; i++) {
        std::cin>>c1[i];
    }
    std::map<int, int> m;
    for(int i = 0; i < n; i++) {
        std::cin>>c2[i]; m[c2[i]] = i;
    }

    int ans = 0;
    for(int i = 0; i < n; i++) {
        int s = m[c1[i]]; ans++;
        while (c1[i + 1] == c2[s + 1] && i < n && s < n) {
            i++; s++;
        }
    }
    std::cout<<ans<<"\n";
    return 0;
}

/*
5
4 3 2 5 1
1 2 5 3 4

4

11
23
34
42
50
*/
